=== debian/changelog ===
vdr-genindex (0.1.3-1ubuntu4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:53 +0100

vdr-genindex (0.1.3-1ubuntu3) disco; urgency=medium

  * d/rules: Convert to minimal dh sequencer.
  * d/compat: Bump to 11.
  * d/control:
    - Build-depend on debhelper (>= 11~).
    - Bump Standards-Version to 4.2.1.
    - Depend on ${misc:Depends}.
    - Use priority optional instead of extra.
    - Fix spelling error in description.
  * d/source/format: Indicate 3.0 (quilt) format.
  * d/p/readme-spelling.patch: Pull Siddhanathan's changes into a quilt patch.
  * d/p/pass-makefile-flags.patch: Have Makefile respect more *FLAGS for
    hardening.
  * d/changelog: Remove trailing whitespace.
  * d/copyright:
    - Fix encoding issue.
    - Add copyright notice.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 26 Dec 2018 01:26:05 -0500

vdr-genindex (0.1.3-1ubuntu2) quantal; urgency=low

  * changed 'usefull' to 'useful' in various places.

 -- Siddhanathan S. <siddhanathan@gmail.com>  Fri, 01 Jun 2012 08:39:48 +0200

vdr-genindex (0.1.3-1ubuntu1) intrepid; urgency=low

  * Initial upload, package from e-tobi.net.
  * Change the maintainer address.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Thu, 08 May 2008 01:42:38 +0300

vdr-genindex (0.1.3-1) unstable; urgency=low

  * Initial Release.

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun, 18 Jun 2006 20:24:40 +0200
