=== debian/control ===
Source: vdr-genindex
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Günther <tom@toms-cafe.de>, Tobias Grimm <tg@e-tobi.net>, Thomas Schmidt <tschmidt@debian.org>
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.2.1

Package: vdr-genindex
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tool to generate a VDR index file
 Useful if you lost the original index file or if you want to create an index
 file for some other video stuff.
