=== debian/watch ===
version=2
http://www.muempf.de/down/genindex-(.*)\.tar\.gz
